std::multiset::emplace(3)

NAME
std::multiset::emplace - std::multiset::emplace

Synopsis
   template< class... Args > (since C++11)
   iterator emplace( Args&&... args );
   Inserts a new element into the container constructed in-place with the given args .
   Careful use of emplace allows the new element to be constructed while avoiding
   unnecessary copy or move operations. The constructor of the new element is called
   with exactly the same arguments as supplied to emplace, forwarded via
   std::forward<Args>(args)....
   No iterators or references are invalidated.

Parameters
   args - arguments to forward to the constructor of the element

Return value
   Returns an iterator to the inserted element.

Exceptions
   If an exception is thrown by any operation, this function has no effect (strong
   exception guarantee).

Complexity
   Logarithmic in the size of the container.

Example
    This section is incomplete
    Reason: no example

See also
   emplace_hint constructs elements in-place using a hint
   (C++11) (public member function)
                inserts elements
   insert or nodes
                (since C++17)
                (public member function)